
set transaction read write;
delete from examples.objc_examples.chap_9.Manager;
delete from examples.objc_examples.chap_9.Employee;
delete from examples.objc_examples.chap_9.Department;
commit;

insert into examples.objc_examples.chap_9.Department(name) Values('acct');
insert into examples.objc_examples.chap_9.Department(name) Values('engr');
commit;

select Ref(d) from examples.objc_examples.chap_9.Department d where d.name = 'acct' into D1;
insert into examples.objc_examples.chap_9.Employee(name,id,dob,memberOf)
	 Values('john',1,DATE '1980-05-01',D1);
insert into examples.objc_examples.chap_9.Employee(name,id,dob,memberOf)
	 Values('kim',2,DATE '1989-02-01',D1);
insert into examples.objc_examples.chap_9.Employee(name,id,dob,memberOf)
	 Values('mike',3,DATE '1979-12-02',D1);
insert into examples.objc_examples.chap_9.Manager(name,id,title,dob,memberOf,headOf)
	 Values('bossman',100,'veep',DATE '1985-01-23',D1,D1);
commit;

select Ref(d) from examples.objc_examples.chap_9.Department d where d.name = 'engr' into D2;
insert into examples.objc_examples.chap_9.Employee(name,id,dob,memberOf)
	 Values('frank',4,DATE '1975-05-01',D2);
insert into examples.objc_examples.chap_9.Employee(name,id,dob,memberOf)
	 Values('mary',5,DATE '1990-08-01',D2);
insert into examples.objc_examples.chap_9.Employee(name,id,dob,memberOf)
	 Values('jane',6,DATE '1991-11-21',D2);
commit;

select Ref(m) from examples.objc_examples.chap_9.Manager m where m.name = 'bossman' into B1;
update examples.objc_examples.chap_9.Employee set boss = B1 where id < 100;
commit;

